Bug 116108 - Add option to fit images into their cell
Summary: Add option to fit images into their cell
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-01 11:19 UTC by Samuel Mehrbrodt (CIB)
Modified: 2018-03-13 10:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2018-03-01 11:19:51 UTC
Cell anchored images should have an option to be fitted into their cells.
Aspect ratio should be considered at least for graphic objects.
Comment 1 V Stuart Foote 2018-03-01 15:13:04 UTC
Shrink or expand the image/graphic to fit, with or without holding aspect. As opposed to increasing row height column width to match the image.
Comment 2 Heiko Tietze 2018-03-02 09:17:13 UTC
This is IMHO a dup of bug 31205. As a user I wouldn't start to think about anchors when I look for cell-filling properties.
Comment 3 Samuel Mehrbrodt (CIB) 2018-03-02 13:12:31 UTC
(In reply to Heiko Tietze from comment #2)
> This is IMHO a dup of bug 31205. As a user I wouldn't start to think about
> anchors when I look for cell-filling properties.

I think that's two different things. This is about floating images which you can anchor to the cell.
The other bug is about cell background (where it is currently not even possible to set background images).

I guess even if the other one gets implemented at some stage, shouldn't prevent us from improving the floating images.
Comment 4 Commit Notification 2018-03-07 07:27:37 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=073b4eadd2a9a00b915c664df90b15d5b2d709c0

tdf#116108 Add option to fit images into their cell

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.